<?php
/**
 * Default copyright laws apply.
 *
 * Veebipoed retains all rights to this source code and nobody else may reproduce, distribute
 * or create derivative works from this work.
 *
 * Permitted:
 * - Commercial Use
 * This software and derivatives may be used for commercial purposes.
 * - Private Use
 * You may use and modify the software without distributing it.
 *
 * Forbidden:
 * - Distribution
 * You may not distribute this software.
 * - Modification
 * This software may not be modified.
 * - Sublicensing
 * You may not grant a sublicense to modify and distribute this software to third parties not included in the license.
 *
 *  @author    Veebipoed.ee
 *  @copyright 2020 Veebipoed.ee
 *  @license   Veebipoed.ee
 */

$config = array();

//TEST
$config[] = array(
    'url' => 'https://www.lhv.ee/coflink?testRequest=true',
    'vk_service' => '5011',
    'vk_version' => '008',
    'vk_snd' => Configuration::get('LHVLEASE_SNDID'),
    'vk_rec' => 'LHV',
    'vk_lang' => 'EST',
    'vk_encoding' => 'UTF-8',
    'private_key_pass' => Configuration::get('LHVLEASE_PRIVATE_KEY_PASS'),
    'private_key' => Configuration::get('LHVLEASE_PRIVATE_KEY'),
    'public_key' => Configuration::get('LHVLEASE_PUBLIC_KEY'),
);

//LIVE
$config[] = array(
    'url' => 'https://www.lhv.ee/coflink',
    'vk_service' => '5011',
    'vk_version' => '008',
    'vk_snd' => Configuration::get('LHVLEASE_SNDID'),
    'vk_rec' => 'LHV',
    'vk_lang' => 'EST',
    'vk_encoding' => 'UTF-8',
    'private_key_pass' => Configuration::get('LHVLEASE_PRIVATE_KEY_PASS'),
    'private_key' => Configuration::get('LHVLEASE_PRIVATE_KEY'),
    'public_key' => Configuration::get('LHVLEASE_PUBLIC_KEY'),
);
