<?php
/**
 * PrestaPay - A Sample Payment Module for PrestaShop 1.7
 *
 * Order Validation Controller
 *
 * @author Andresa Martins <contact@andresa.dev>
 * @license https://opensource.org/licenses/afl-3.0.php
 */

class LHVLeaseValidationModuleFrontController extends ModuleFrontController
{

    


    /**
     * Processa os dados enviados pelo formulário de pagamento
     */
    public function postProcess()
    {
        /**
         * Get current cart object from session
         */
        $cart = $this->context->cart;
        $authorized = false;

        /**
         * Verify if this module is enabled and if the cart has
         * a valid customer, delivery address and invoice address
         */
        if (!$this->module->active || $cart->id_customer == 0 || $cart->id_address_delivery == 0
            || $cart->id_address_invoice == 0) {
            Tools::redirect('index.php?controller=order&step=1');
        }

        /**
         * Verify if this payment module is authorized
         */
        foreach (Module::getPaymentModules() as $module) {
            if ($module['name'] == 'lhvlease') {
                $authorized = true;
                break;
            }
        }




        if (!$authorized) {
            die($this->l('This payment method is not available.'));
        }





          // LHV Return
    $request_response = $_POST['VK_SERVICE']; 
    if ($request_response == "5113") {
       

    echo '<style>

body {
  font-size: 16px;
  font-family: Arial, Helvetica, sans-serif;
  color: #666666;
}

    </style>';
   $this->errors[] = $this->l('Järelmaksutaotlus tagasi lükatud, palun valige mõni muu makseviis');
   echo '<div align="center" style="padding-top: 30px;"> 

   Järelmaksutaotlus tagasi lükatud, palun valige mõni muu makseviis</div>';
      echo '<div align="center" style="margin-top: 50px;"> <a href="index.php?controller=order&step=1">KLIKI SIIA, ET MINNA TAGASI OSTUKORVI </a></div>';

   die;

    #Tools::redirect('index.php?controller=order&step=1'); // siia tuleb error leht tekitada
   // Kui ebaõnnestunud siis tellimuse info ei lähe hetkel külge.

    // Kui LHV annab vastuse mitte toimimisel siis kuvatakse ostukorvi üleval teavitus kliendile. Ostukorvi ei tühjendata.
    }



     if ($request_response == "5111") {
       

   #die($this->l('Järelmaksutaotlus tagasi lükatud, palun valige mõni muu makseviis'));
   #die($this->l('Järelmaksutaotlus tagasi lükatud, palun valige mõni muu makseviis'));

   $this->success[] = $this->l('Järelmaksuleping edukalt aktiveeritud');
   $this->redirectWithNotifications($this->getCurrentURL());



    #Tools::redirect('index.php?controller=order&step=1'); // siia tuleb error leht tekitada
   // Kui ebaõnnestunud siis tellimuse info ei lähe hetkel külge.

    // Kui LHV annab vastuse mitte toimimisel siis kuvatakse ostukorvi üleval teavitus kliendile. Ostukorvi ei tühjendata.
    }



        /** @var CustomerCore $customer */
        $customer = new Customer($cart->id_customer);

        /**
         * Check if this is a vlaid customer account
         */
        if (!Validate::isLoadedObject($customer)) {
            Tools::redirect('index.php?controller=order&step=1');
        }


        /**
         * Place the order
         */



        $this->module->validateOrder(
            (int) $this->context->cart->id,
            Configuration::get('PS_OS_PAYMENT'),
            (float) $this->context->cart->getOrderTotal(true, Cart::BOTH),
            $this->module->displayName,
            null,
            null,
            (int) $this->context->currency->id,
            false,
            $customer->secure_key
        );

        

        /**
         * Redirect the customer to the order confirmation page
         */
        Tools::redirect('index.php?controller=order-confirmation&id_cart='.(int)$cart->id.'&id_module='.(int)$this->module->id.'&id_order='.$this->module->currentOrder.'&key='.$customer->secure_key);
    }
}