<?php
/**
 * Default copyright laws apply.
 *
 * Veebipoed retains all rights to this source code and nobody else may reproduce, distribute
 * or create derivative works from this work.
 *
 * Permitted:
 * - Commercial Use
 * This software and derivatives may be used for commercial purposes.
 * - Private Use
 * You may use and modify the software without distributing it.
 *
 * Forbidden:
 * - Distribution
 * You may not distribute this software.
 * - Modification
 * This software may not be modified.
 * - Sublicensing
 * You may not grant a sublicense to modify and distribute this software to third parties not included in the license.
 *
 *  @author    Veebipoed.ee
 *  @copyright 2020 Veebipoed.ee
 *  @license   Veebipoed.ee
 */

$sql = array();

$sql[] = 'CREATE TABLE IF NOT EXISTS `%1$s%2$s` (
		`id_%2$s` int(10) UNSIGNED AUTO_INCREMENT,
		`id_cart` int(10) NOT NULL,
		`idcode` varchar(32) NOT NULL,
		`code_issuer` varchar(32) NOT NULL,
		`full_name` varchar(255) NOT NULL,
		`contract_status` varchar(255) NOT NULL,
		`contract_number` int(10) NOT NULL,
		`down_payment` decimal(17,2) NOT NULL,
		`contract_fee` decimal(17,2) NOT NULL,
		`email` varchar(255) NOT NULL,
		`phone` varchar(255) NOT NULL,
		`country_code` varchar(255) NOT NULL,
		`city` varchar(255) NOT NULL,
		`street_address` varchar(255) NOT NULL,
		`postal_code` varchar(255) NOT NULL,
		`signing_date` varchar(255) NOT NULL,
		 primary key (`id_%2$s`)
	)ENGINE=%3$s DEFAULT CHARSET=utf8;';
