{*
* Default copyright laws apply.
* Veebipoed retains all rights to this source code and nobody else may reproduce, distribute
* or create derivative works from this work.
*
* Permitted:
* - Commercial Use
* This software and derivatives may be used for commercial purposes.
* - Private Use
* You may use and modify the software without distributing it.
*
* Forbidden:
* - Distribution
* You may not distribute this software.
* - Modification
* This software may not be modified.
* - Sublicensing
* You may not grant a sublicense to modify and distribute this software to third parties not included in the license.
*
*  @author    Veebipoed.ee
*  @copyright 2015 Veebipoed.ee
*  @license   Veebipoed.ee
*}
<div class="col-md-6 jiai lhv_calculator lhv_calc_product" style="float: right;">
    <div class="emphasized mt20 calculator-widget hire-purchase">
        <table class="form">
            <tr>
                <th>
                    <label for="price" class="req">Hind</label>
                </th>
                <td>
                    <input type="text" name="price">
                    <span class="field-unit">€</span>
                </td>
            </tr>
            <tr>
                <th>
                    <label for="initial_payment" class="req">Sissemakse</label>
                </th>
                <td>
                    <select name="advance">
                        <option value="0">0%</option>
                        <option value="10">10%</option>
                        <option value="20">20%</option>
                        <option value="30">30%</option>
                        <option value="40">40%</option>
                        <option value="50">50%</option>
                        <option value="60">60%</option>
                        <option value="70">70%</option>
                        <option value="80">80%</option>
                        <option value="90">90%</option>
                    </select>
                </td>
            </tr>
            <tr>
                <th>
                    <label for="period" class="req">Periood</label>
                </th>
                <td>
                    <select name="period">
                        <option value="3">3 kuud</option>
                        <option value="6">6 kuud</option>
                        <option value="9">9 kuud</option>
                        <option value="12">12 kuud</option>
                        <option value="15">15 kuud</option>
                        <option value="18">18 kuud</option>
                        <option value="21">21 kuud</option>
                        <option value="24">24 kuud</option>
                        <option value="27">27 kuud</option>
                        <option value="30">30 kuud</option>
                        <option value="33">33 kuud</option>
                        <option value="36">36 kuud</option>
                        <option value="39">39 kuud</option>
                        <option value="42">42 kuud</option>
                        <option value="45">45 kuud</option>
                        <option value="48">48 kuud</option>
                    </select>
                </td>
            </tr>
            <tr>
                <th>
                    <label for="intrest_rate" class="req">Intress</label>
                </th>
                <td>
                    <input type="text" name="intrest_rate" value="19.9">
                    <span class="field-unit">%</span>
                </td>
            </tr>
        </table>
        <hr class="results-separator hidden">
        <dl class="calculation-results hidden">
            <dt>Sissemakse</dt>
            <dd>
                <strong class="advance-amount-text"></strong> €
            </dd>
            <dt>Kuumakse*</dt>
            <dd class="highlight">
                <strong class="loan-amount-text"></strong> €
            </dd>
        </dl>
        <div class="calculation-results hidden"><small>* Tulemus on ligikaudne ja võib erineda sulle pakutavatest
                tingimustest. Järelmaksu pakkuja on AS LHV Finance.</small></div>
        <div class="error hidden"></div>
    </div>
</div>
