{*
* Default copyright laws apply.
* Veebipoed retains all rights to this source code and nobody else may reproduce, distribute
* or create derivative works from this work.
*
* Permitted:
* - Commercial Use
* This software and derivatives may be used for commercial purposes.
* - Private Use
* You may use and modify the software without distributing it.
*
* Forbidden:
* - Distribution
* You may not distribute this software.
* - Modification
* This software may not be modified.
* - Sublicensing
* You may not grant a sublicense to modify and distribute this software to third parties not included in the license.
*
*  @author    Veebipoed.ee
*  @copyright 2015 Veebipoed.ee
*  @license   Veebipoed.ee
*}
<div class="row">
    <div class="col-xs-12 col-md-12">
        <p class="payment_module">
            <a class="lhvlease_link" href="{$href|escape:'htmlall':'UTF-8'}">
                <img height="60" src="{$this_path|escape:'htmlall':'UTF-8'}lhvlease_{$lang_iso_code|escape:'htmlall':'UTF-8'}.png"
                     alt="{l s='Purchase with LHV lease' mod='lhvlease'}"/>
                {l s='Purchase with LHV lease' mod='lhvlease'}
            </a>
        </p>
        <div class="col-xs-12 col-md-6 lhv-calc-disclamer-block">
            {literal}
                <style type="text/css">
                    .calculator-widget .hidden {
                        display: none !important
                    }

                    .calculator-widget .center {
                        text-align: center
                    }

                    .calculator-widget {
                        -moz-border-radius: 5px;
                        -webkit-border-radius: 5px;
                        border: 1px solid #efefef;
                        border-radius: 5px;
                        display: inline-block;
                        font: 13px/20px 'Helvetica Neue', HelveticaNeue, Arial, Helvetica, sans-serif;
                        padding: 9px;
                        width: 180px
                    }

                    .calculator-widget td, .calculator-widget th {
                        font-size: 13px;
                        padding: 0px;
                    }

                    .calculator-widget h2 {
                        margin: 0 0 10px;
                        text-align: center
                    }

                    .calculator-widget label, .calculator-widget th, .calculator-widget td {
                        font-weight: normal;
                        text-align: left;
                        white-space: nowrap
                    }

                    .calculator-widget input {
                        width: 60px;
                        height: 22px;
                    }

                    .calculator-widget .field-unit {
                        padding-left: 5px
                    }

                    small {
                        color: #909090;
                        line-height: 13px;
                        display: inline-block
                    }

                    dt {
                        clear: both;
                        float: left
                    }

                    dd {
                        float: right
                    }

                    dl {
                        overflow: hidden
                    }

                    a.button, .button.disabled, .button.disabled:active, .button.disabled:hover {
                        background: #32a700;
                        background: -moz-linear-gradient(top, #98d37f 0, #7ac659 10%, #32a700 90%, #32a700 100%);
                        background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #98d37f), color-stop(10%, #7ac659), color-stop(90%, #32a700), color-stop(100%, #32a700));
                        background: -webkit-linear-gradient(top, #98d37f 0, #7ac659 10%, #32a700 90%, #32a700 100%);
                        background: -o-linear-gradient(top, #98d37f 0, #7ac659 10%, #32a700 90%, #32a700 100%);
                        background: -ms-linear-gradient(top, #98d37f 0, #7ac659 10%, #32a700 90%, #32a700 100%);
                        background: linear-gradient(to bottom, #98d37f 0, #7ac659 10%, #32a700 90%, #32a700 100%);
                        color: #fff;
                        font-family: 'Helvetica Neue', HelveticaNeue, Arial, Helvetica, sans-serif;
                        font-weight: 700;
                        border: none;
                        text-decoration: none;
                        margin: 0;
                        -moz-border-radius: 4px;
                        -webkit-border-radius: 4px;
                        border-radius: 4px;
                        padding: 0 14px;
                        display: -moz-inline-box;
                        display: inline-block;
                        white-space: nowrap;
                        cursor: pointer;
                        height: 30px;
                        font-size: 16px;
                        line-height: 30px;
                        vertical-align: top;
                        text-align: center
                    }

                    .button:hover {
                        background: #99d380;
                        background: -moz-linear-gradient(top, #a7da92 0, #90cf75 10%, #51b528 90%, #51b426 100%);
                        background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #a7da92), color-stop(10%, #90cf75), color-stop(90%, #51b528), color-stop(100%, #51b426));
                        background: -webkit-linear-gradient(top, #a7da92 0, #90cf75 10%, #51b528 90%, #51b426 100%);
                        background: -o-linear-gradient(top, #a7da92 0, #90cf75 10%, #51b528 90%, #51b426 100%);
                        background: -ms-linear-gradient(top, #a7da92 0, #90cf75 10%, #51b528 90%, #51b426 100%);
                        background: linear-gradient(to bottom, #a7da92 0, #90cf75 10%, #51b528 90%, #51b426 100%);
                        text-decoration: none
                    }

                    .button:active {
                        background: #216d00;
                        background: -moz-linear-gradient(top, #638953 0, #4f813a 10%, #216d00 90%, #216d00 100%);
                        background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #638953), color-stop(10%, #4f813a), color-stop(90%, #216d00), color-stop(100%, #216d00));
                        background: -webkit-linear-gradient(top, #638953 0, #4f813a 10%, #216d00 90%, #216d00 100%);
                        background: -o-linear-gradient(top, #638953 0, #4f813a 10%, #216d00 90%, #216d00 100%);
                        background: -ms-linear-gradient(top, #638953 0, #4f813a 10%, #216d00 90%, #216d00 100%);
                        background: linear-gradient(to bottom, #638953 0, #4f813a 10%, #216d00 90%, #216d00 100%);
                        text-decoration: none;
                        color: #e5e5e5
                    }

                    .emphasized {
                        background: #f1f1f1;
                        background-image: linear-gradient(top, #fff 0, #f2f2f2 50%);
                        background-image: -o-linear-gradient(top, #fff 0, #f2f2f2 50%);
                        background-image: -moz-linear-gradient(top, #fff 0, #f2f2f2 50%);
                        background-image: -webkit-linear-gradient(top, #fff 0, #f2f2f2 50%);
                        background-image: -ms-linear-gradient(top, #fff 0, #f2f2f2 50%);
                        background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #fff), color-stop(1, #f2f2f2));
                        -moz-border-radius: 4px;
                        -webkit-border-radius: 4px;
                        border-radius: 4px;
                        -moz-box-shadow: 0 1px 30px rgba(128, 128, 128, .65);
                        -webkit-box-shadow: 0 1px 30px rgba(128, 128, 128, .65);
                        box-shadow: 0 1px 3px rgba(128, 128, 128, .65);
                        display: block;
                        border: 1px solid #efefef;
                        border: 0 solid rgba(255, 255, 255, 0)
                    }

                    .calculator-widget hr {
                        height: 1px;
                        background: #fff;
                        margin: 10px 0;
                        display: block;
                        border: none;
                        border-top: 1px solid #e8e8e8
                    }
                </style>
                <script src="https://partners.lhv.ee/assets/scripts/calculator.min.js"></script>
            {/literal}
            <div class="lhv-calculator col-xs-12 col-md-6">
                <div class="emphasized mt20 calculator-widget hire-purchase">
                    <table class="form">
                        <tr>
                            <th>
                                <label for="price" class="req">Hind</label>
                            </th>
                            <td>
                                <input type="text" name="price">
                                <span class="field-unit">€</span>
                            </td>
                        </tr>
                        <tr>
                            <th>
                                <label for="initial_payment" class="req">Sissemakse</label>
                            </th>
                            <td>
                                <select name="advance">
                                    <option value="0">0%</option>
                                    <option value="10">10%</option>
                                    <option value="20">20%</option>
                                    <option value="30">30%</option>
                                    <option value="40">40%</option>
                                    <option value="50">50%</option>
                                    <option value="60">60%</option>
                                    <option value="70">70%</option>
                                    <option value="80">80%</option>
                                    <option value="90">90%</option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <th>
                                <label for="period" class="req">Periood</label>
                            </th>
                            <td>
                                <select name="period">
                                    <option value="3">3 kuud</option>
                                    <option value="6">6 kuud</option>
                                    <option value="9">9 kuud</option>
                                    <option value="12">12 kuud</option>
                                    <option value="15">15 kuud</option>
                                    <option value="18">18 kuud</option>
                                    <option value="21">21 kuud</option>
                                    <option value="24">24 kuud</option>
                                    <option value="27">27 kuud</option>
                                    <option value="30">30 kuud</option>
                                    <option value="33">33 kuud</option>
                                    <option value="36">36 kuud</option>
                                    <option value="39">39 kuud</option>
                                    <option value="42">42 kuud</option>
                                    <option value="45">45 kuud</option>
                                    <option value="48">48 kuud</option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <th>
                                <label for="intrest_rate" class="req">Intress</label>
                            </th>
                            <td>
                                <input type="text" name="intrest_rate" value="19.9">
                                <span class="field-unit">%</span>
                            </td>
                        </tr>
                    </table>
                    <hr class="results-separator hidden">
                    <dl class="calculation-results">
                        <dt>Sissemakse</dt>
                        <dd>
                            <strong id="advance-amount-text"></strong> €
                        </dd>
                        <dt>Kuumakse*</dt>
                        <dd class="highlight">
                            <strong class="loan-amount-text"></strong> €
                        </dd>
                    </dl>
                    <div class="calculation-results hidden"><small>* Tulemus on ligikaudne ja võib erineda sulle
                            pakutavatest tingimustest. Järelmaksu pakkuja on AS LHV Finance.</small></div>
                    <div id="lhv-error" class="error"></div>
                </div>
            </div>
            <div class="lhv-list col-xs-12 col-md-6">
                <ul>
                    <li>
                        {l s='Soodne intress.' mod='lhvlease'}
                    </li>
                    <li>
                        {l s='Sissemakse alates 0 eurost.' mod='lhvlease'}
                    </li>
                    <li>
                        {l s='Saad valida endale sobiva kuumakse ja lepingu kohe allkirjastada.' mod='lhvlease'}
                    </li>
                </ul>
            </div>
            {literal}
                <script>
                    var loan = new LHV.hirePurchase()
                    loan.price = 500
                    loan.advance = 0
                    loan.period = 3
                    loan.interest = 15.9
                    loan.priceBasedInterest = false

                    var monthlyPayment = loan.getMonthlyPayment()

                    if (monthlyPayment.error) {
                        document.getElementById('lhv-error').innerHTML = monthlyPayment.error
                    } else {
                        document.getElementById('advance-amount-text').innerHTML = monthlyPayment.payment
                    }
                </script>
            {/literal}
            {* literal}
                <script>
                    $('.hire-purchase.calculator-widget').each(function() { var app = new LHV.HirePurchase(); app.init($(this)); });
                </script>
            {/literal *}
        </div>
        <div class="col-xs-12 col-md-6">
            <p>{l s='Järelmaksu pakub AS LHV Finance. Tutvu tingimustega müügikohas või lhv.ee/jarelmaks ja küsi nõu meie asjatundjalt. Järelmaksu igakuise osamakse suurus on 37,91 € ja krediidi kulukuse määr on 25,59% aastas järgmistel näidistingimustel: kauba/teenuse maksumus 700 €, sissemakse 0%, krediidisumma 700 €, intress 19,9% jäägilt aastas (fikseeritud), lepingutasu 19,9 €, järelmaksu periood 23 kuud, tasumine igakuiste annuiteetmaksetena, maksete kogusumma 871,93 € ja tagasimaksete summa 871,93 €.' mod='lhvlease'}</p>
        </div>
    </div>
</div>
</div>    
